label: HadronConeExclTruthLabelID
train_variables:
  JetKinematics:
    - absEta_btagJes
    - pt_btagJes
  JetFitter:
    - JetFitter_isDefaults
    - JetFitter_mass
    - JetFitter_energyFraction
    - JetFitter_significance3d
    - JetFitter_nVTX
    - JetFitter_nSingleTracks
    - JetFitter_nTracksAtVtx
    - JetFitter_N2Tpair
    - JetFitter_deltaR
  JetFitterSecondaryVertex:
    - JetFitterSecondaryVertex_isDefaults
    - JetFitterSecondaryVertex_nTracks
    - JetFitterSecondaryVertex_mass
    - JetFitterSecondaryVertex_energy
    - JetFitterSecondaryVertex_energyFraction
    - JetFitterSecondaryVertex_displacement3d
    - JetFitterSecondaryVertex_displacement2d
    - JetFitterSecondaryVertex_maximumTrackRelativeEta
    - JetFitterSecondaryVertex_minimumTrackRelativeEta
    - JetFitterSecondaryVertex_averageTrackRelativeEta
    - JetFitterSecondaryVertex_maximumAllJetTrackRelativeEta  # Modified name in R22. Was: maximumTrackRelativeEta
    - JetFitterSecondaryVertex_minimumAllJetTrackRelativeEta  # Modified name in R22. Was: minimumTrackRelativeEta
    - JetFitterSecondaryVertex_averageAllJetTrackRelativeEta  # Modified name in R22. Was: averageTrackRelativeEta
  SV1:
    - SV1_isDefaults
    - SV1_NGTinSvx
    - SV1_masssvx
    - SV1_N2Tpair
    - SV1_efracsvx
    - SV1_deltaR
    - SV1_Lxy
    - SV1_L3d
    - SV1_significance3d
  DIPS:
    - dips20211116_pb
    - dips20211116_pc
    - dips20211116_pu

  # useful variables which might want to be kept but being used for training
spectator_variables:
  - DL1r_pb
  - DL1r_pc
  - DL1r_pu
  - rnnip_pb
  - rnnip_pc
  - rnnip_pu

custom_defaults_vars:
  JetFitter_energyFraction: 0
  JetFitter_significance3d: 0
  JetFitter_nVTX: -1
  JetFitter_nSingleTracks: -1
  JetFitter_nTracksAtVtx: -1
  JetFitter_N2Tpair: -1
  SV1_N2Tpair: -1
  SV1_NGTinSvx: -1
  SV1_efracsvx: 0
  JetFitterSecondaryVertex_nTracks: 0
  JetFitterSecondaryVertex_energyFraction: 0
